scala.xml

# PrefixedAttribute

#### class PrefixedAttribute extends MetaData with Attribute

prefixed attributes always have a non-null namespace.

Source
  PrefixedAttribute.scala

Linear Supertypes
Attribute, MetaData, Serializable, java.io.Serializable, Equality, AbstractIterable[MetaData], collection.Iterable[MetaData], IterableLike[MetaData, collection.Iterable[MetaData]], Equals, GenIterable[MetaData], GenIterableLike[MetaData, collection.Iterable[MetaData]], AbstractTraversable[MetaData], collection.Traversable[MetaData], GenTraversable[MetaData], GenericTraversableTemplate[MetaData, collection.Iterable], TraversableLike[MetaData, collection.Iterable[MetaData]], GenTraversableLike[MetaData, collection.Iterable[MetaData]], Parallelizable[MetaData, ParIterable[MetaData]], collection.TraversableOnce[MetaData], GenTraversableOnce[MetaData], FilterMonadic[MetaData, collection.Iterable[MetaData]], HasNewBuilder[MetaData, Iterable[scala.xml.MetaData] @scala.annotation.unchecked.uncheckedVariance], AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. PrefixedAttribute
2. Attribute
3. MetaData
4. Serializable
5. Serializable
6. Equality
7. AbstractIterable
8. Iterable
9. IterableLike
10. Equals
11. GenIterable
12. GenIterableLike
13. AbstractTraversable
14. Traversable
15. GenTraversable
16. GenericTraversableTemplate
17. TraversableLike
18. GenTraversableLike
19. Parallelizable
20. TraversableOnce
21. GenTraversableOnce
22. FilterMonadic
23. HasNewBuilder
24. AnyRef
25. Any

Implicitly

1. by traversable2ops
2. by MonadOps
3. by flattenTraversableOnce
4. by any2stringadd
5. by any2stringfmt
6. by any2ArrowAssoc
7. by any2Ensuring
8. by alternateImplicit

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new PrefixedAttribute(pre: String, key: String, value: Option[Seq[Node]], next: MetaData)

   same as this(pre, key, value.

   same as this(pre, key, value.get, next), or no attribute if value is None

2. #### new PrefixedAttribute(pre: String, key: String, value: String, next: MetaData)

   same as this(pre, key, Text(value), next), or no attribute if value is null

3. #### new PrefixedAttribute(pre: String, key: String, value: Seq[Node], next1: MetaData)

   pre
   key
   value

     the attribute value

   next1

### Type Members

1. #### type Self = collection.Iterable[MetaData]

   The type implementing this traversable

   The type implementing this traversable

   Attributes
     protected
   Definition Classes
     TraversableLike

2. #### class WithFilter extends FilterMonadic[A, Repr]

   A class supporting filtered operations.

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

3. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

4. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from PrefixedAttribute to StringAdd performed by method any2stringadd in scala.Predef.
   Definition Classes
     StringAdd

5. #### def ++[B](that: GenTraversableOnce[B]): collection.Iterable[B]

   [use case] Returns a new iterable collection containing the elements from the left hand operand followed by the elements from the right hand operand.

   [use case]

   Returns a new iterable collection containing the elements from the left hand operand followed by the elements from the right hand operand. The element type of the iterable collection is the most specific superclass encompassing the element types of the two operands.

   Example:

       scala> val a = LinkedList(1)
       a: scala.collection.mutable.LinkedList[Int] = LinkedList(1)

       scala> val b = LinkedList(2)
       b: scala.collection.mutable.LinkedList[Int] = LinkedList(2)

       scala> val c = a ++ b
       c: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

       scala> val d = LinkedList('a')
       d: scala.collection.mutable.LinkedList[Char] = LinkedList(a)

       scala> val e = c ++ d
       e: scala.collection.mutable.LinkedList[AnyVal] = LinkedList(1, 2, a)

   B

     the element type of the returned collection.

   that

     the traversable to append.

   returns

     a new iterable collection which contains all elements of this iterable collection followed by all elements of `that`.

   Definition Classes
     TraversableLike → GenTraversableLike
   Full Signature

   #### def ++[B >: MetaData, That](that: GenTraversableOnce[B])(implicit bf: CanBuildFrom[collection.Iterable[MetaData], B, That]): That

6. #### def ++:[B >: MetaData, That](that: collection.Traversable[B])(implicit bf: CanBuildFrom[collection.Iterable[MetaData], B, That]): That

   As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

   As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

   It differs from `++` in that the right operand determines the type of the resulting collection rather than the left one. Mnemonic: the COLon is on the side of the new COLlection type.

   Example:

       scala> val x = List(1)
       x: List[Int] = List(1)

       scala> val y = LinkedList(2)
       y: scala.collection.mutable.LinkedList[Int] = LinkedList(2)

       scala> val z = x ++: y
       z: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

   This overload exists because: for the implementation of `++:` we should reuse that of `++` because many collections override it with more efficient versions.

   Since `TraversableOnce` has no `++` method, we have to implement that directly, but `Traversable` and down can use the overload.

   B

     the element type of the returned collection.

   That

     the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

   that

     the traversable to append.

   bf

     an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and and the new element type `B`.

   returns

     a new collection of type `That` which contains all elements of this iterable collection followed by all elements of `that`.

   Definition Classes
     TraversableLike

7. #### def ++:[B](that: collection.TraversableOnce[B]): collection.Iterable[B]

   [use case] As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

   [use case]

   As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

   It differs from `++` in that the right operand determines the type of the resulting collection rather than the left one. Mnemonic: the COLon is on the side of the new COLlection type.

   Example:

       scala> val x = List(1)
       x: List[Int] = List(1)

       scala> val y = LinkedList(2)
       y: scala.collection.mutable.LinkedList[Int] = LinkedList(2)

       scala> val z = x ++: y
       z: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

   B

     the element type of the returned collection.

   that

     the traversable to append.

   returns

     a new iterable collection which contains all elements of this iterable collection followed by all elements of `that`.

   Definition Classes
     TraversableLike
   Full Signature

   #### def ++:[B >: MetaData, That](that: collection.TraversableOnce[B])(implicit bf: CanBuildFrom[collection.Iterable[MetaData], B, That]): That

8. #### def ->[B](y: B): (PrefixedAttribute, B)

   Implicit information
     This member is added by an implicit conversion from PrefixedAttribute to ArrowAssoc[PrefixedAttribute] performed by method any2ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

9. #### def /:[B](z: B)(op: (B, MetaData) ⇒ B): B

   Applies a binary operator to a start value and all elements of this iterable collection, going left to right.

   Applies a binary operator to a start value and all elements of this iterable collection, going left to right.

   Note: `/:` is alternate syntax for `foldLeft`; `z /: xs` is the same as `xs foldLeft z`.

   Examples:

   Note that the folding function used to compute b is equivalent to that used to compute c.

       scala> val a = LinkedList(1,2,3,4)
       a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

       scala> val b = (5 /: a)(_+_)
       b: Int = 15

       scala> val c = (5 /: a)((x,y) => x + y)
       c: Int = 15

   Note: will not terminate for infinite-sized collections.

   Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

   B

     the result type of the binary operator.

   z

     the start value.

   op

     the binary operator.

   returns

     the result of inserting `op` between consecutive elements of this iterable collection, going left to right with the start value `z` on the left:

         op(...op(op(z, x_1), x_2), ..., x_n)

     where `x1, ..., xn` are the elements of this iterable collection.

   Definition Classes
     TraversableOnce → GenTraversableOnce

10. #### def :\[B](z: B)(op: (MetaData, B) ⇒ B): B

    Applies a binary operator to all elements of this iterable collection and a start value, going right to left.

    Applies a binary operator to all elements of this iterable collection and a start value, going right to left.

    Note: `:\` is alternate syntax for `foldRight`; `xs :\ z` is the same as `xs foldRight z`.

    Note: will not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

    Examples:

    Note that the folding function used to compute b is equivalent to that used to compute c.

        scala> val a = LinkedList(1,2,3,4)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

        scala> val b = (a :\ 5)(_+_)
        b: Int = 15

        scala> val c = (a :\ 5)((x,y) => x + y)
        c: Int = 15

    B

      the result type of the binary operator.

    z

      the start value

    op

      the binary operator

    returns

      the result of inserting `op` between consecutive elements of this iterable collection, going right to left with the start value `z` on the right:

          op(x_1, op(x_2, ... op(x_n, z)...))

      where `x1, ..., xn` are the elements of this iterable collection.

    Definition Classes
      TraversableOnce → GenTraversableOnce

11. #### final def ==(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

12. #### final def ==(arg0: Any): Boolean

    Test two objects for equality.

    Test two objects for equality. The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      Any

13. #### def addString(b: StringBuilder): StringBuilder

    Appends all elements of this iterable collection to a string builder.

    Appends all elements of this iterable collection to a string builder. The written text consists of the string representations (w.r.t. the method `toString`) of all elements of this iterable collection without any separator string.

    Example:

        scala> val a = LinkedList(1,2,3,4)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

        scala> val b = new StringBuilder()
        b: StringBuilder =

        scala> val h = a.addString(b)
        b: StringBuilder = 1234

    b

      the string builder to which elements are appended.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      TraversableOnce

14. #### def addString(b: StringBuilder, sep: String): StringBuilder

    Appends all elements of this iterable collection to a string builder using a separator string.

    Appends all elements of this iterable collection to a string builder using a separator string. The written text consists of the string representations (w.r.t. the method `toString`) of all elements of this iterable collection, separated by the string `sep`.

    Example:

        scala> val a = LinkedList(1,2,3,4)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

        scala> val b = new StringBuilder()
        b: StringBuilder =

        scala> a.addString(b, ", ")
        res0: StringBuilder = 1, 2, 3, 4

    b

      the string builder to which elements are appended.

    sep

      the separator string.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      TraversableOnce

15. #### def addString(b: StringBuilder, start: String, sep: String, end: String): StringBuilder

    Appends all elements of this iterable collection to a string builder using start, end, and separator strings.

    Appends all elements of this iterable collection to a string builder using start, end, and separator strings. The written text begins with the string `start` and ends with the string `end`. Inside, the string representations (w.r.t. the method `toString`) of all elements of this iterable collection are separated by the string `sep`.

    Example:

        scala> val a = LinkedList(1,2,3,4)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

        scala> val b = new StringBuilder()
        b: StringBuilder =

        scala> a.addString(b, "LinkedList(", ", ", ")")
        res1: StringBuilder = LinkedList(1, 2, 3, 4)

    b

      the string builder to which elements are appended.

    start

      the starting string.

    sep

      the separator string.

    end

      the ending string.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      TraversableOnce

16. #### def aggregate[B](z: B)(seqop: (B, MetaData) ⇒ B, combop: (B, B) ⇒ B): B

    Aggregates the results of applying an operator to subsequent elements.

    Aggregates the results of applying an operator to subsequent elements.

    This is a more general form of `fold` and `reduce`. It has similar semantics, but does not require the result to be a supertype of the element type. It traverses the elements in different partitions sequentially, using `seqop` to update the result, and then applies `combop` to results from different partitions. The implementation of this operation may operate on an arbitrary number of collection partitions, so `combop` may be invoked an arbitrary number of times.

    For example, one might want to process some elements and then produce a `Set`. In this case, `seqop` would process an element and append it to the list, while `combop` would concatenate two lists from different partitions together. The initial value `z` would be an empty set.

        pc.aggregate(Set[Int]())(_ += process(_), _ ++ _)

    Another example is calculating geometric mean from a collection of doubles (one would typically require big doubles for this).

    B

      the type of accumulated results

    z

      the initial value for the accumulated result of the partition - this will typically be the neutral element for the `seqop` operator (e.g. `Nil` for list concatenation or `0` for summation)

    seqop

      an operator used to accumulate results within a partition

    combop

      an associative operator used to combine results from different partitions

    Definition Classes
      TraversableOnce → GenTraversableOnce

17. #### def append(updates: MetaData, scope: NamespaceBinding = TopScope): MetaData

    Updates this MetaData with the MetaData given as argument.

    Updates this MetaData with the MetaData given as argument. All attributes that occur in updates are part of the resulting MetaData. If an attribute occurs in both this instance and updates, only the one in updates is part of the result (avoiding duplicates). For prefixed attributes, namespaces are resolved using the given scope, which defaults to TopScope.

    updates

      MetaData with new and updated attributes

    returns

      a new MetaData instance that contains old, new and updated attributes

    Definition Classes
      MetaData

18. #### def apply(namespace: String, scope: NamespaceBinding, key: String): Seq[Node]

    gets attribute value of qualified (prefixed) attribute with given key

    gets attribute value of qualified (prefixed) attribute with given key

    returns

      value as Seq[Node] if key is found, null otherwise

    Definition Classes
      PrefixedAttribute → Attribute → MetaData

19. #### def apply(key: String): Seq[Node]

    forwards the call to next (because caller looks for unprefixed attribute

    forwards the call to next (because caller looks for unprefixed attribute

    key

    returns

      value as Seq[Node] if key is found, null otherwise

    Definition Classes
      PrefixedAttribute → Attribute → MetaData

20. #### final def apply(namespace_uri: String, owner: Node, key: String): Seq[Node]

    convenience method, same as `apply(namespace, owner.scope, key)`.

    convenience method, same as `apply(namespace, owner.scope, key)`.

    namespace_uri

      namespace uri of key

    owner

      the element owning this attribute list

    key

      the attribute key

    Definition Classes
      MetaData

21. #### def asAttrMap: Map[String, String]

    Returns a Map containing the attributes stored as key/value pairs.

    Returns a Map containing the attributes stored as key/value pairs.

    Definition Classes
      MetaData

22. #### final def asInstanceOf[T0]: T0

    Cast the receiver object to be of type `T0`.

    Cast the receiver object to be of type `T0`.

    Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

    returns

      the receiver object.

    Definition Classes
      Any
    Exceptions thrown
      ClassCastException

      if the receiver object is not an instance of the erasure of type `T0`.

23. #### def asParIterable: ParIterable[MetaData]

    Implicit information
      This member is added by an implicit conversion from PrefixedAttribute to TraversableOps[MetaData] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

24. #### def asParSeq: ParSeq[MetaData]

    Implicit information
      This member is added by an implicit conversion from PrefixedAttribute to TraversableOps[MetaData] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

25. #### def basisForHashCode: Seq[Any]

    Attributes
      protected
    Definition Classes
      MetaData → Equality

26. #### def buildString(sb: StringBuilder): StringBuilder

    Definition Classes
      MetaData

27. #### def canEqual(other: Any): Boolean

    We insist we're only equal to other `xml.Equality` implementors, which heads off a lot of inconsistency up front.

    We insist we're only equal to other `xml.Equality` implementors, which heads off a lot of inconsistency up front.

    returns

      true if this instance can possibly equal `that`, otherwise false

    Definition Classes
      MetaData → Equality → IterableLike → Equals

28. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
    Note

      not specified by SLS as a member of AnyRef

29. #### def collect[B](pf: PartialFunction[A, B]): collection.Iterable[B]

    [use case] Builds a new collection by applying a partial function to all elements of this iterable collection on which the function is defined.

    [use case]

    Builds a new collection by applying a partial function to all elements of this iterable collection on which the function is defined.

    B

      the element type of the returned collection.

    pf

      the partial function which filters and maps the iterable collection.

    returns

      a new iterable collection resulting from applying the given partial function `pf` to each element on which it is defined and collecting the results. The order of the elements is preserved.

    Definition Classes
      TraversableLike → GenTraversableLike
    Full Signature

    #### def collect[B, That](pf: PartialFunction[MetaData, B])(implicit bf: CanBuildFrom[collection.Iterable[MetaData], B, That]): That

30. #### def collectFirst[B](pf: PartialFunction[MetaData, B]): Option[B]

    Finds the first element of the iterable collection for which the given partial function is defined, and applies the partial function to it.

    Finds the first element of the iterable collection for which the given partial function is defined, and applies the partial function to it.

    Note: may not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    pf

      the partial function

    returns

      an option value containing pf applied to the first value for which it is defined, or `None` if none exists.

    Definition Classes
      TraversableOnce
    Example:

    1. `Seq("a", 1, 5L).collectFirst({ case x: Int => x*10 }) = Some(10)`

31. #### def companion: GenericCompanion[collection.Iterable]

    The factory companion object that builds instances of class Iterable.

    The factory companion object that builds instances of class Iterable. (or its `Iterable` superclass where class Iterable is not a `Seq`.)

    Definition Classes
      Iterable → GenIterable → Traversable → GenTraversable → GenericTraversableTemplate

32. #### def copy(next: MetaData): PrefixedAttribute

    Returns a copy of this unprefixed attribute with the given next field.

    Returns a copy of this unprefixed attribute with the given next field.

    Definition Classes
      PrefixedAttribute → Attribute → MetaData

33. #### def copyToArray(xs: Array[A], start: Int, len: Int): Unit

    [use case] Copies elements of this iterable collection to an array.

    [use case]

    Copies elements of this iterable collection to an array. Fills the given array `xs` with at most `len` elements of this iterable collection, starting at position `start`. Copying will stop once either the end of the current iterable collection is reached, or the end of the array is reached, or `len` elements have been copied.

    Note: will not terminate for infinite-sized collections.

    xs

      the array to fill.

    start

      the starting index.

    len

      the maximal number of elements to copy.

    Definition Classes
      IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce
    Full Signature

    #### def copyToArray[B >: MetaData](xs: Array[B], start: Int, len: Int): Unit

34. #### def copyToArray(xs: Array[A]): Unit

    [use case] Copies values of this iterable collection to an array.

    [use case]

    Copies values of this iterable collection to an array. Fills the given array `xs` with values of this iterable collection. Copying will stop once either the end of the current iterable collection is reached, or the end of the array is reached.

    Note: will not terminate for infinite-sized collections.

    xs

      the array to fill.

    Definition Classes
      TraversableOnce → GenTraversableOnce
    Full Signature

    #### def copyToArray[B >: MetaData](xs: Array[B]): Unit

35. #### def copyToArray(xs: Array[A], start: Int): Unit

    [use case] Copies values of this iterable collection to an array.

    [use case]

    Copies values of this iterable collection to an array. Fills the given array `xs` with values of this iterable collection, beginning at index `start`. Copying will stop once either the end of the current iterable collection is reached, or the end of the array is reached.

    Note: will not terminate for infinite-sized collections.

    xs

      the array to fill.

    start

      the starting index.

    Definition Classes
      TraversableOnce → GenTraversableOnce
    Full Signature

    #### def copyToArray[B >: MetaData](xs: Array[B], start: Int): Unit

36. #### def copyToBuffer[B >: MetaData](dest: Buffer[B]): Unit

    Copies all elements of this iterable collection to a buffer.

    Copies all elements of this iterable collection to a buffer.

    Note: will not terminate for infinite-sized collections.

    dest

      The buffer to which elements are copied.

    Definition Classes
      TraversableOnce

37. #### def count(p: (MetaData) ⇒ Boolean): Int

    Counts the number of elements in the iterable collection which satisfy a predicate.

    Counts the number of elements in the iterable collection which satisfy a predicate.

    p

      the predicate used to test elements.

    returns

      the number of elements satisfying the predicate `p`.

    Definition Classes
      TraversableOnce → GenTraversableOnce

38. #### def drop(n: Int): collection.Iterable[MetaData]

    Selects all elements except first n ones.

    Selects all elements except first n ones.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    n

      the number of elements to drop from this iterable collection.

    returns

      a iterable collection consisting of all elements of this iterable collection except the first `n` ones, or else the empty iterable collection, if this iterable collection has less than `n` elements.

    Definition Classes
      IterableLike → TraversableLike → GenTraversableLike

39. #### def dropRight(n: Int): collection.Iterable[MetaData]

    Selects all elements except last n ones.

    Selects all elements except last n ones.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    n

      The number of elements to take

    returns

      a iterable collection consisting of all elements of this iterable collection except the last `n` ones, or else the empty iterable collection, if this iterable collection has less than `n` elements.

    Definition Classes
      IterableLike

40. #### def dropWhile(p: (MetaData) ⇒ Boolean): collection.Iterable[MetaData]

    Drops longest prefix of elements that satisfy a predicate.

    Drops longest prefix of elements that satisfy a predicate.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      the longest suffix of this iterable collection whose first element does not satisfy the predicate `p`.

    Definition Classes
      TraversableLike → GenTraversableLike

41. #### def ensuring(cond: (PrefixedAttribute) ⇒ Boolean, msg: ⇒ Any): PrefixedAttribute

    Implicit information
      This member is added by an implicit conversion from PrefixedAttribute to Ensuring[PrefixedAttribute] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

42. #### def ensuring(cond: (PrefixedAttribute) ⇒ Boolean): PrefixedAttribute

    Implicit information
      This member is added by an implicit conversion from PrefixedAttribute to Ensuring[PrefixedAttribute] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

43. #### def ensuring(cond: Boolean, msg: ⇒ Any): PrefixedAttribute

    Implicit information
      This member is added by an implicit conversion from PrefixedAttribute to Ensuring[PrefixedAttribute] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

44. #### def ensuring(cond: Boolean): PrefixedAttribute

    Implicit information
      This member is added by an implicit conversion from PrefixedAttribute to Ensuring[PrefixedAttribute] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

45. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

46. #### def equals(other: Any): Boolean

    The universal equality method defined in `AnyRef`.

    The universal equality method defined in `AnyRef`.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      Equality → Equals → AnyRef → Any

47. #### def exists(p: (MetaData) ⇒ Boolean): Boolean

    Tests whether a predicate holds for some of the elements of this iterable collection.

    Tests whether a predicate holds for some of the elements of this iterable collection.

    Note: may not terminate for infinite-sized collections.

    p

      the predicate used to test elements.

    returns

      `true` if the given predicate `p` holds for some of the elements of this iterable collection, otherwise `false`.

    Definition Classes
      IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

48. #### def filter(f: (MetaData) ⇒ Boolean): MetaData

    filters this sequence of meta data

    filters this sequence of meta data

    returns

      a new iterable collection consisting of all elements of this iterable collection that satisfy the given predicate `p`. The order of the elements is preserved.

    Definition Classes
      MetaData → TraversableLike → GenTraversableLike

49. #### def filterNot(p: (MetaData) ⇒ Boolean): collection.Iterable[MetaData]

    Selects all elements of this iterable collection which do not satisfy a predicate.

    Selects all elements of this iterable collection which do not satisfy a predicate.

    p

      the predicate used to test elements.

    returns

      a new iterable collection consisting of all elements of this iterable collection that do not satisfy the given predicate `p`. The order of the elements is preserved.

    Definition Classes
      TraversableLike → GenTraversableLike

50. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
    Note

      not specified by SLS as a member of AnyRef

51. #### def find(p: (MetaData) ⇒ Boolean): Option[MetaData]

    Finds the first element of the iterable collection satisfying a predicate, if any.

    Finds the first element of the iterable collection satisfying a predicate, if any.

    Note: may not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    p

      the predicate used to test elements.

    returns

      an option value containing the first element in the iterable collection that satisfies `p`, or `None` if none exists.

    Definition Classes
      IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

52. #### def flatMap[B](f: (A) ⇒ GenTraversableOnce[B]): collection.Iterable[B]

    [use case] Builds a new collection by applying a function to all elements of this iterable collection and using the elements of the resulting collections.

    [use case]

    Builds a new collection by applying a function to all elements of this iterable collection and using the elements of the resulting collections.

    For example:

        def getWords(lines: Seq[String]): Seq[String] = lines flatMap (line => line split "\\W+")

    The type of the resulting collection is guided by the static type of iterable collection. This might cause unexpected results sometimes. For example:

        // lettersOf will return a Seq[Char] of likely repeated letters, instead of a Set
        def lettersOf(words: Seq[String]) = words flatMap (word => word.toSet)

        // lettersOf will return a Set[Char], not a Seq
        def lettersOf(words: Seq[String]) = words.toSet flatMap (word => word.toSeq)

        // xs will be a an Iterable[Int]
        val xs = Map("a" -> List(11,111), "b" -> List(22,222)).flatMap(_._2)

        // ys will be a Map[Int, Int]
        val ys = Map("a" -> List(1 -> 11,1 -> 111), "b" -> List(2 -> 22,2 -> 222)).flatMap(_._2)

    B

      the element type of the returned collection.

    f

      the function to apply to each element.

    returns

      a new iterable collection resulting from applying the given collection-valued function `f` to each element of this iterable collection and concatenating the results.

    Definition Classes
      TraversableLike → GenTraversableLike → FilterMonadic
    Full Signature

    #### def flatMap[B, That](f: (MetaData) ⇒ GenTraversableOnce[B])(implicit bf: CanBuildFrom[collection.Iterable[MetaData], B, That]): That

53. #### def flatten[B]: collection.Iterable[B]

    [use case] Converts this iterable collection of traversable collections into a iterable collection formed by the elements of these traversable collections.

    [use case]

    Converts this iterable collection of traversable collections into a iterable collection formed by the elements of these traversable collections.

    The resulting collection's type will be guided by the static type of iterable collection. For example:

        val xs = List(Set(1, 2, 3), Set(1, 2, 3))
        // xs == List(1, 2, 3, 1, 2, 3)

        val ys = Set(List(1, 2, 3), List(3, 2, 1))
        // ys == Set(1, 2, 3)

    B

      the type of the elements of each traversable collection.

    returns

      a new iterable collection resulting from concatenating all element iterable collections.

    Definition Classes
      GenericTraversableTemplate
    Full Signature

    #### def flatten[B](implicit asTraversable: (MetaData) ⇒ GenTraversableOnce[B]): collection.Iterable[B]

54. #### def fold[A1 >: MetaData](z: A1)(op: (A1, A1) ⇒ A1): A1

    Folds the elements of this iterable collection using the specified associative binary operator.

    Folds the elements of this iterable collection using the specified associative binary operator.

    The order in which operations are performed on elements is unspecified and may be nondeterministic.

    A1

      a type parameter for the binary operator, a supertype of `A`.

    z

      a neutral element for the fold operation; may be added to the result an arbitrary number of times, and must not change the result (e.g., `Nil` for list concatenation, 0 for addition, or 1 for multiplication.)

    op

      a binary operator that must be associative

    returns

      the result of applying fold operator `op` between all the elements and `z`

    Definition Classes
      TraversableOnce → GenTraversableOnce

55. #### def foldLeft[B](z: B)(op: (B, MetaData) ⇒ B): B

    Applies a binary operator to a start value and all elements of this iterable collection, going left to right.

    Applies a binary operator to a start value and all elements of this iterable collection, going left to right.

    Note: will not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this iterable collection, going left to right with the start value `z` on the left:

          op(...op(z, x_1), x_2, ..., x_n)

      where `x1, ..., xn` are the elements of this iterable collection.

    Definition Classes
      TraversableOnce → GenTraversableOnce

56. #### def foldRight[B](z: B)(op: (MetaData, B) ⇒ B): B

    Applies a binary operator to all elements of this iterable collection and a start value, going right to left.

    Applies a binary operator to all elements of this iterable collection and a start value, going right to left.

    Note: will not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this iterable collection, going right to left with the start value `z` on the right:

          op(x_1, op(x_2, ... op(x_n, z)...))

      where `x1, ..., xn` are the elements of this iterable collection.

    Definition Classes
      IterableLike → TraversableOnce → GenTraversableOnce

57. #### def forall(p: (MetaData) ⇒ Boolean): Boolean

    Tests whether a predicate holds for all elements of this iterable collection.

    Tests whether a predicate holds for all elements of this iterable collection.

    Note: may not terminate for infinite-sized collections.

    p

      the predicate used to test elements.

    returns

      `true` if the given predicate `p` holds for all elements of this iterable collection, otherwise `false`.

    Definition Classes
      IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

58. #### def foreach(f: (MetaData) ⇒ Unit): Unit

    [use case] Applies a function `f` to all elements of this iterable collection.

    [use case]

    Applies a function `f` to all elements of this iterable collection.

    Note: this method underlies the implementation of most other bulk operations. Subclasses should re-implement this method if a more efficient implementation exists.

    f

      the function that is applied for its side-effect to every element. The result of function `f` is discarded.

    Definition Classes
      IterableLike → TraversableLike → GenTraversableLike → TraversableOnce → GenTraversableOnce → FilterMonadic
    Full Signature

    #### def foreach[U](f: (MetaData) ⇒ U): Unit

59. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from PrefixedAttribute to StringFormat performed by method any2stringfmt in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

60. #### def genericBuilder[B]: Builder[B, collection.Iterable[B]]

    The generic builder that builds instances of Iterable at arbitrary element types.

    The generic builder that builds instances of Iterable at arbitrary element types.

    Definition Classes
      GenericTraversableTemplate

61. #### final def get(uri: String, scope: NamespaceBinding, key: String): Option[Seq[Node]]

    gets value of qualified (prefixed) attribute with given key.

    gets value of qualified (prefixed) attribute with given key.

    uri

      namespace of key

    scope

      a namespace scp (usually of the element owning this attribute list)

    key

      to be looked fore

    returns

      value as Some[Seq[Node]] if key is found, None otherwise

    Definition Classes
      MetaData

62. #### final def get(uri: String, owner: Node, key: String): Option[Seq[Node]]

    same as get(uri, owner.

    same as get(uri, owner.scope, key)

    Definition Classes
      MetaData

63. #### final def get(key: String): Option[Seq[Node]]

    Gets value of unqualified (unprefixed) attribute with given key, None if not found

    Gets value of unqualified (unprefixed) attribute with given key, None if not found

    key
    returns

      value in Some(Seq[Node]) if key is found, None otherwise

    Definition Classes
      MetaData

64. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

65. #### def getNamespace(owner: Node): String

    if owner is the element of this metadata item, returns namespace

    if owner is the element of this metadata item, returns namespace

    Definition Classes
      PrefixedAttribute → Attribute → MetaData

66. #### def groupBy[K](f: (MetaData) ⇒ K): Map[K, collection.Iterable[MetaData]]

    Partitions this iterable collection into a map of iterable collections according to some discriminator function.

    Partitions this iterable collection into a map of iterable collections according to some discriminator function.

    Note: this method is not re-implemented by views. This means when applied to a view it will always force the view and return a new iterable collection.

    K

      the type of keys returned by the discriminator function.

    f

      the discriminator function.

    returns

      A map from keys to iterable collections such that the following invariant holds:

          (xs partition f)(k) = xs filter (x => f(x) == k)

      That is, every key `k` is bound to a iterable collection of those elements `x` for which `f(x)` equals `k`.

    Definition Classes
      TraversableLike → GenTraversableLike

67. #### def grouped(size: Int): collection.Iterator[collection.Iterable[MetaData]]

    Partitions elements in fixed size iterable collections.

    Partitions elements in fixed size iterable collections.

    size

      the number of elements per group

    returns

      An iterator producing iterable collections of size `size`, except the last will be truncated if the elements don't divide evenly.

    Definition Classes
      IterableLike
    See also

      scala.collection.Iterator, method `grouped`

68. #### def hasDefiniteSize: Boolean

    Tests whether this iterable collection is known to have a finite size.

    Tests whether this iterable collection is known to have a finite size. All strict collections are known to have finite size. For a non-strict collection such as `Stream`, the predicate returns `true` if all elements have been computed. It returns `false` if the stream is not yet evaluated to the end.

    Note: many collection methods will not work on collections of infinite sizes.

    returns

      `true` if this collection is known to have finite size, `false` otherwise.

    Definition Classes
      TraversableLike → TraversableOnce → GenTraversableOnce

69. #### def hasNext: Boolean

    Definition Classes
      MetaData

70. #### def hashCode(): Int

    It's be nice to make these final, but there are probably people out there subclassing the XML types, especially when it comes to equals.

    It's be nice to make these final, but there are probably people out there subclassing the XML types, especially when it comes to equals. However WE at least can pretend they are final since clearly individual classes cannot be trusted to maintain a semblance of order.

    returns

      the hash code value for this object.

    Definition Classes
      Equality → AnyRef → Any

71. #### def head: MetaData

    Selects the first element of this iterable collection.

    Selects the first element of this iterable collection.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      the first element of this iterable collection.

    Definition Classes
      IterableLike → TraversableLike → GenTraversableLike
    Exceptions thrown
      `NoSuchElementException`

      if the iterable collection is empty.

72. #### def headOption: Option[MetaData]

    Optionally selects the first element.

    Optionally selects the first element.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      the first element of this iterable collection if it is nonempty, `None` if it is empty.

    Definition Classes
      TraversableLike → GenTraversableLike

73. #### def ifParSeq[R](isbody: (ParSeq[MetaData]) ⇒ R): (TraversableOps[MetaData])#Otherwise[R]

    Implicit information
      This member is added by an implicit conversion from PrefixedAttribute to TraversableOps[MetaData] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

74. #### def init: collection.Iterable[MetaData]

    Selects all elements except the last.

    Selects all elements except the last.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      a iterable collection consisting of all elements of this iterable collection except the last one.

    Definition Classes
      TraversableLike → GenTraversableLike
    Exceptions thrown
      `UnsupportedOperationException`

      if the iterable collection is empty.

75. #### def inits: collection.Iterator[collection.Iterable[MetaData]]

    Iterates over the inits of this iterable collection.

    Iterates over the inits of this iterable collection. The first value will be this iterable collection and the final one will be an empty iterable collection, with the intervening values the results of successive applications of `init`.

    returns

      an iterator over all the inits of this iterable collection

    Definition Classes
      TraversableLike
    Example:

    1. `List(1,2,3).inits = Iterator(List(1,2,3), List(1,2), List(1), Nil)`

76. #### def isEmpty: Boolean

    Tests whether this iterable collection is empty.

    Tests whether this iterable collection is empty.

    returns

      `true` if the iterable collection contain no elements, `false` otherwise.

    Definition Classes
      IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

77. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

78. #### def isParIterable: Boolean

    Implicit information
      This member is added by an implicit conversion from PrefixedAttribute to TraversableOps[MetaData] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

79. #### def isParSeq: Boolean

    Implicit information
      This member is added by an implicit conversion from PrefixedAttribute to TraversableOps[MetaData] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

80. #### def isParallel: Boolean

    Implicit information
      This member is added by an implicit conversion from PrefixedAttribute to TraversableOps[MetaData] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

81. #### def isPrefixed: Boolean

    Definition Classes
      Attribute → MetaData

82. #### final def isTraversableAgain: Boolean

    Tests whether this iterable collection can be repeatedly traversed.

    Tests whether this iterable collection can be repeatedly traversed.

    returns

      `true`

    Definition Classes
      TraversableLike → GenTraversableLike → GenTraversableOnce

83. #### def iterator: Iterator[MetaData]

    Returns an iterator on attributes

    Returns an iterator on attributes

    returns

      the new iterator

    Definition Classes
      Attribute → IterableLike → GenIterableLike

84. #### val key: String

    Definition Classes
      PrefixedAttribute → Attribute → MetaData

85. #### def last: MetaData

    Selects the last element.

    Selects the last element.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      The last element of this iterable collection.

    Definition Classes
      TraversableLike → GenTraversableLike
    Exceptions thrown
      NoSuchElementException

      If the iterable collection is empty.

86. #### def lastOption: Option[MetaData]

    Optionally selects the last element.

    Optionally selects the last element.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      the last element of this iterable collection$ if it is nonempty, `None` if it is empty.

    Definition Classes
      TraversableLike → GenTraversableLike

87. #### def length(i: Int): Int

    Definition Classes
      MetaData

88. #### def length: Int

    Definition Classes
      MetaData

89. #### def map[B](f: (A) ⇒ B): collection.Iterable[B]

    [use case] Builds a new collection by applying a function to all elements of this iterable collection.

    [use case]

    Builds a new collection by applying a function to all elements of this iterable collection.

    B

      the element type of the returned collection.

    f

      the function to apply to each element.

    returns

      a new iterable collection resulting from applying the given function `f` to each element of this iterable collection and collecting the results.

    Definition Classes
      TraversableLike → GenTraversableLike → FilterMonadic
    Full Signature

    #### def map[B, That](f: (MetaData) ⇒ B)(implicit bf: CanBuildFrom[collection.Iterable[MetaData], B, That]): That

90. #### def max: A

    [use case] Finds the largest element.

    [use case]

    Finds the largest element.

    returns

      the largest element of this iterable collection.

    Definition Classes
      TraversableOnce → GenTraversableOnce
    Full Signature

    #### def max[B >: MetaData](implicit cmp: Ordering[B]): MetaData

91. #### def maxBy[B](f: (MetaData) ⇒ B)(implicit cmp: Ordering[B]): MetaData

    Definition Classes
      TraversableOnce → GenTraversableOnce

92. #### def min: A

    [use case] Finds the smallest element.

    [use case]

    Finds the smallest element.

    returns

      the smallest element of this iterable collection

    Definition Classes
      TraversableOnce → GenTraversableOnce
    Full Signature

    #### def min[B >: MetaData](implicit cmp: Ordering[B]): MetaData

93. #### def minBy[B](f: (MetaData) ⇒ B)(implicit cmp: Ordering[B]): MetaData

    Definition Classes
      TraversableOnce → GenTraversableOnce

94. #### def mkString: String

    Displays all elements of this iterable collection in a string.

    Displays all elements of this iterable collection in a string.

    returns

      a string representation of this iterable collection. In the resulting string the string representations (w.r.t. the method `toString`) of all elements of this iterable collection follow each other without any separator string.

    Definition Classes
      TraversableOnce → GenTraversableOnce

95. #### def mkString(sep: String): String

    Displays all elements of this iterable collection in a string using a separator string.

    Displays all elements of this iterable collection in a string using a separator string.

    sep

      the separator string.

    returns

      a string representation of this iterable collection. In the resulting string the string representations (w.r.t. the method `toString`) of all elements of this iterable collection are separated by the string `sep`.

    Definition Classes
      TraversableOnce → GenTraversableOnce
    Example:

    1. `List(1, 2, 3).mkString("|") = "1|2|3"`

96. #### def mkString(start: String, sep: String, end: String): String

    Displays all elements of this iterable collection in a string using start, end, and separator strings.

    Displays all elements of this iterable collection in a string using start, end, and separator strings.

    start

      the starting string.

    sep

      the separator string.

    end

      the ending string.

    returns

      a string representation of this iterable collection. The resulting string begins with the string `start` and ends with the string `end`. Inside, the string representations (w.r.t. the method `toString`) of all elements of this iterable collection are separated by the string `sep`.

    Definition Classes
      TraversableOnce → GenTraversableOnce
    Example:

    1. `List(1, 2, 3).mkString("(", "; ", ")") = "(1; 2; 3)"`

97. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

98. #### def newBuilder: Builder[MetaData, collection.Iterable[MetaData]]

    The builder that builds instances of type Iterable[A]

    The builder that builds instances of type Iterable[A]

    Attributes
      protected[this]
    Definition Classes
      GenericTraversableTemplate → HasNewBuilder

99. #### val next: MetaData

    returns Null or the next MetaData item

    returns Null or the next MetaData item

    Definition Classes
      PrefixedAttribute → Attribute → MetaData

100. #### val next1: MetaData

101. #### def nonEmpty: Boolean

     Tests whether the iterable collection is not empty.

     Tests whether the iterable collection is not empty.

     returns

       `true` if the iterable collection contains at least one element, `false` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

102. #### final def notify(): Unit

     Wakes up a single thread that is waiting on the receiver object's monitor.

     Wakes up a single thread that is waiting on the receiver object's monitor.

     Definition Classes
       AnyRef
     Note

       not specified by SLS as a member of AnyRef

103. #### final def notifyAll(): Unit

     Wakes up all threads that are waiting on the receiver object's monitor.

     Wakes up all threads that are waiting on the receiver object's monitor.

     Definition Classes
       AnyRef
     Note

       not specified by SLS as a member of AnyRef

104. #### def par: ParIterable[MetaData]

     Returns a parallel implementation of this collection.

     Returns a parallel implementation of this collection.

     For most collection types, this method creates a new parallel collection by copying all the elements. For these collection, `par` takes linear time. Mutable collections in this category do not produce a mutable parallel collection that has the same underlying dataset, so changes in one collection will not be reflected in the other one.

     Specific collections (e.g. `ParArray` or `mutable.ParHashMap`) override this default behaviour by creating a parallel collection which shares the same underlying dataset. For these collections, `par` takes constant or sublinear time.

     All parallel collections return a reference to themselves.

     returns

       a parallel implementation of this collection

     Definition Classes
       Parallelizable

105. #### def parCombiner: Combiner[MetaData, ParIterable[MetaData]]

     The default `par` implementation uses the combiner provided by this method to create a new parallel collection.

     The default `par` implementation uses the combiner provided by this method to create a new parallel collection.

     returns

       a combiner for the parallel collection of type `ParRepr`

     Attributes
       protected[this]
     Definition Classes
       TraversableLike → Parallelizable

106. #### def partition(p: (MetaData) ⇒ Boolean): (collection.Iterable[MetaData], collection.Iterable[MetaData])

     Partitions this iterable collection in two iterable collections according to a predicate.

     Partitions this iterable collection in two iterable collections according to a predicate.

     p

       the predicate on which to partition.

     returns

       a pair of iterable collections: the first iterable collection consists of all elements that satisfy the predicate `p` and the second iterable collection consists of all elements that don't. The relative order of the elements in the resulting iterable collections is the same as in the original iterable collection.

     Definition Classes
       TraversableLike → GenTraversableLike

107. #### val pre: String

     Definition Classes
       PrefixedAttribute → Attribute

108. #### def prefixedKey: String

     Returns a String containing "prefix:key" if the first key is prefixed, and "key" otherwise.

     Returns a String containing "prefix:key" if the first key is prefixed, and "key" otherwise.

     Definition Classes
       MetaData

109. #### def product: A

     [use case] Multiplies up the elements of this collection.

     [use case]

     Multiplies up the elements of this collection.

     returns

       the product of all elements in this iterable collection of numbers of type `Int`. Instead of `Int`, any other type `T` with an implicit `Numeric[T]` implementation can be used as element type of the iterable collection and as result type of `product`. Examples of such types are: `Long`, `Float`, `Double`, `BigInt`.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def product[B >: MetaData](implicit num: Numeric[B]): B

110. #### def reduce[A1 >: MetaData](op: (A1, A1) ⇒ A1): A1

     Reduces the elements of this iterable collection using the specified associative binary operator.

     Reduces the elements of this iterable collection using the specified associative binary operator.

     The order in which operations are performed on elements is unspecified and may be nondeterministic.

     A1

       A type parameter for the binary operator, a supertype of `A`.

     op

       A binary operator that must be associative.

     returns

       The result of applying reduce operator `op` between all the elements if the iterable collection is nonempty.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Exceptions thrown
       UnsupportedOperationException

       if this iterable collection is empty.

111. #### def reduceLeft[B >: MetaData](op: (B, MetaData) ⇒ B): B

     Applies a binary operator to all elements of this iterable collection, going left to right.

     Applies a binary operator to all elements of this iterable collection, going left to right.

     Note: will not terminate for infinite-sized collections.

     Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       the result of inserting `op` between consecutive elements of this iterable collection, going left to right:

           op( op( ... op(x_1, x_2) ..., x_{n-1}), x_n)

       where `x1, ..., xn` are the elements of this iterable collection.

     Definition Classes
       TraversableOnce
     Exceptions thrown
       `UnsupportedOperationException`

       if this iterable collection is empty.

112. #### def reduceLeftOption[B >: MetaData](op: (B, MetaData) ⇒ B): Option[B]

     Optionally applies a binary operator to all elements of this iterable collection, going left to right.

     Optionally applies a binary operator to all elements of this iterable collection, going left to right.

     Note: will not terminate for infinite-sized collections.

     Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       an option value containing the result of `reduceLeft(op)` is this iterable collection is nonempty, `None` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

113. #### def reduceOption[A1 >: MetaData](op: (A1, A1) ⇒ A1): Option[A1]

     Reduces the elements of this iterable collection, if any, using the specified associative binary operator.

     Reduces the elements of this iterable collection, if any, using the specified associative binary operator.

     The order in which operations are performed on elements is unspecified and may be nondeterministic.

     A1

       A type parameter for the binary operator, a supertype of `A`.

     op

       A binary operator that must be associative.

     returns

       An option value containing result of applying reduce operator `op` between all the elements if the collection is nonempty, and `None` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

114. #### def reduceRight[B >: MetaData](op: (MetaData, B) ⇒ B): B

     Applies a binary operator to all elements of this iterable collection, going right to left.

     Applies a binary operator to all elements of this iterable collection, going right to left.

     Note: will not terminate for infinite-sized collections.

     Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       the result of inserting `op` between consecutive elements of this iterable collection, going right to left:

           op(x_1, op(x_2, ..., op(x_{n-1}, x_n)...))

       where `x1, ..., xn` are the elements of this iterable collection.

     Definition Classes
       IterableLike → TraversableOnce → GenTraversableOnce
     Exceptions thrown
       `UnsupportedOperationException`

       if this iterable collection is empty.

115. #### def reduceRightOption[B >: MetaData](op: (MetaData, B) ⇒ B): Option[B]

     Optionally applies a binary operator to all elements of this iterable collection, going right to left.

     Optionally applies a binary operator to all elements of this iterable collection, going right to left.

     Note: will not terminate for infinite-sized collections.

     Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       an option value containing the result of `reduceRight(op)` is this iterable collection is nonempty, `None` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

116. #### def remove(namespace: String, scope: NamespaceBinding, key: String): MetaData

     Definition Classes
       Attribute → MetaData

117. #### def remove(key: String): MetaData

     Definition Classes
       Attribute → MetaData

118. #### final def remove(namespace: String, owner: Node, key: String): MetaData

     Definition Classes
       MetaData

119. #### def repr: collection.Iterable[MetaData]

     The collection of type iterable collection underlying this `TraversableLike` object.

     The collection of type iterable collection underlying this `TraversableLike` object. By default this is implemented as the `TraversableLike` object itself, but this can be overridden.

     Definition Classes
       TraversableLike → GenTraversableLike

120. #### def reversed: List[MetaData]

     Attributes
       protected[this]
     Definition Classes
       TraversableOnce

121. #### def sameElements(that: GenIterable[A]): Boolean

     [use case] Checks if the other iterable collection contains the same elements in the same order as this iterable collection.

     [use case]

     Checks if the other iterable collection contains the same elements in the same order as this iterable collection.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     Note: will not terminate for infinite-sized collections.

     that

       the collection to compare with.

     returns

       `true`, if both collections contain the same elements in the same order, `false` otherwise.

     Definition Classes
       IterableLike → GenIterableLike
     Full Signature

     #### def sameElements[B >: MetaData](that: GenIterable[B]): Boolean

122. #### def scan[B >: MetaData, That](z: B)(op: (B, B) ⇒ B)(implicit cbf: CanBuildFrom[collection.Iterable[MetaData], B, That]): That

     Computes a prefix scan of the elements of the collection.

     Computes a prefix scan of the elements of the collection.

     Note: The neutral element `z` may be applied more than once.

     B

       element type of the resulting collection

     That

       type of the resulting collection

     z

       neutral element for the operator `op`

     op

       the associative operator for the scan

     cbf

       combiner factory which provides a combiner

     returns

       a new iterable collection containing the prefix scan of the elements in this iterable collection

     Definition Classes
       TraversableLike → GenTraversableLike

123. #### def scanLeft[B, That](z: B)(op: (B, MetaData) ⇒ B)(implicit bf: CanBuildFrom[collection.Iterable[MetaData], B, That]): That

     Produces a collection containing cumulative results of applying the operator going left to right.

     Produces a collection containing cumulative results of applying the operator going left to right.

     Note: will not terminate for infinite-sized collections.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     B

       the type of the elements in the resulting collection

     That

       the actual type of the resulting collection

     z

       the initial value

     op

       the binary operator applied to the intermediate result and the element

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and and the new element type `B`.

     returns

       collection with intermediate results

     Definition Classes
       TraversableLike → GenTraversableLike

124. #### def scanRight[B, That](z: B)(op: (MetaData, B) ⇒ B)(implicit bf: CanBuildFrom[collection.Iterable[MetaData], B, That]): That

     Produces a collection containing cumulative results of applying the operator going right to left.

     Produces a collection containing cumulative results of applying the operator going right to left. The head of the collection is the last cumulative result.

     Note: will not terminate for infinite-sized collections.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     Example:

         List(1, 2, 3, 4).scanRight(0)(_ + _) == List(10, 9, 7, 4, 0)

     B

       the type of the elements in the resulting collection

     That

       the actual type of the resulting collection

     z

       the initial value

     op

       the binary operator applied to the intermediate result and the element

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and and the new element type `B`.

     returns

       collection with intermediate results

     Definition Classes
       TraversableLike → GenTraversableLike
     Annotations
       @migration
     Migration

       (Changed in version 2.9.0) The behavior of `scanRight` has changed. The previous behavior can be reproduced with scanRight.reverse.

125. #### def seq: collection.Iterable[MetaData]

     A version of this collection with all of the operations implemented sequentially (i.

     A version of this collection with all of the operations implemented sequentially (i.e. in a single-threaded manner).

     This method returns a reference to this collection. In parallel collections, it is redefined to return a sequential implementation of this collection. In both cases, it has O(1) complexity.

     returns

       a sequential view of the collection.

     Definition Classes
       Iterable → GenIterable → Traversable → GenTraversable → Parallelizable → TraversableOnce → GenTraversableOnce

126. #### def size: Int

     The size of this iterable collection.

     The size of this iterable collection.

     Note: will not terminate for infinite-sized collections.

     returns

       the number of elements in this iterable collection.

     Definition Classes
       Attribute → GenTraversableLike → TraversableOnce → GenTraversableOnce

127. #### def slice(from: Int, until: Int): collection.Iterable[MetaData]

     Selects an interval of elements.

     Selects an interval of elements. The returned collection is made up of all elements `x` which satisfy the invariant:

         from <= indexOf(x) < until

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     returns

       a iterable collection containing the elements greater than or equal to index `from` extending up to (but not including) index `until` of this iterable collection.

     Definition Classes
       IterableLike → TraversableLike → GenTraversableLike

128. #### def sliding(size: Int, step: Int): collection.Iterator[collection.Iterable[MetaData]]

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.)

     size

       the number of elements per group

     step

       the distance between the first elements of successive groups (defaults to 1)

     returns

       An iterator producing iterable collections of size `size`, except the last and the only element will be truncated if there are fewer elements than size.

     Definition Classes
       IterableLike
     See also

       scala.collection.Iterator, method `sliding`

129. #### def sliding(size: Int): collection.Iterator[collection.Iterable[MetaData]]

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.)

     size

       the number of elements per group

     returns

       An iterator producing iterable collections of size `size`, except the last and the only element will be truncated if there are fewer elements than size.

     Definition Classes
       IterableLike
     See also

       scala.collection.Iterator, method `sliding`

130. #### def span(p: (MetaData) ⇒ Boolean): (collection.Iterable[MetaData], collection.Iterable[MetaData])

     Splits this iterable collection into a prefix/suffix pair according to a predicate.

     Splits this iterable collection into a prefix/suffix pair according to a predicate.

     Note: `c span p` is equivalent to (but possibly more efficient than) `(c takeWhile p, c dropWhile p)`, provided the evaluation of the predicate `p` does not cause any side-effects.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     returns

       a pair consisting of the longest prefix of this iterable collection whose elements all satisfy `p`, and the rest of this iterable collection.

     Definition Classes
       TraversableLike → GenTraversableLike

131. #### def splitAt(n: Int): (collection.Iterable[MetaData], collection.Iterable[MetaData])

     Splits this iterable collection into two at a given position.

     Splits this iterable collection into two at a given position. Note: `c splitAt n` is equivalent to (but possibly more efficient than) `(c take n, c drop n)`.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     n

       the position at which to split.

     returns

       a pair of iterable collections consisting of the first `n` elements of this iterable collection, and the other elements.

     Definition Classes
       TraversableLike → GenTraversableLike

132. #### def strict_!=(other: Equality): Boolean

     Definition Classes
       Equality

133. #### def strict_==(other: Equality): Boolean

     Definition Classes
       MetaData → Equality

134. #### def stringPrefix: String

     Defines the prefix of this object's `toString` representation.

     Defines the prefix of this object's `toString` representation.

     returns

       a string representation which starts the result of `toString` applied to this iterable collection. By default the string prefix is the simple name of the collection class iterable collection.

     Definition Classes
       TraversableLike → GenTraversableLike

135. #### def sum: A

     [use case] Sums up the elements of this collection.

     [use case]

     Sums up the elements of this collection.

     returns

       the sum of all elements in this iterable collection of numbers of type `Int`. Instead of `Int`, any other type `T` with an implicit `Numeric[T]` implementation can be used as element type of the iterable collection and as result type of `sum`. Examples of such types are: `Long`, `Float`, `Double`, `BigInt`.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def sum[B >: MetaData](implicit num: Numeric[B]): B

136. #### final def synchronized[T0](arg0: ⇒ T0): T0

     Definition Classes
       AnyRef

137. #### def tail: collection.Iterable[MetaData]

     Selects all elements except the first.

     Selects all elements except the first.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     returns

       a iterable collection consisting of all elements of this iterable collection except the first one.

     Definition Classes
       TraversableLike → GenTraversableLike
     Exceptions thrown
       `UnsupportedOperationException`

       if the iterable collection is empty.

138. #### def tails: collection.Iterator[collection.Iterable[MetaData]]

     Iterates over the tails of this iterable collection.

     Iterates over the tails of this iterable collection. The first value will be this iterable collection and the final one will be an empty iterable collection, with the intervening values the results of successive applications of `tail`.

     returns

       an iterator over all the tails of this iterable collection

     Definition Classes
       TraversableLike
     Example:

     1. `List(1,2,3).tails = Iterator(List(1,2,3), List(2,3), List(3), Nil)`

139. #### def take(n: Int): collection.Iterable[MetaData]

     Selects first n elements.

     Selects first n elements.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     n

       the number of elements to take from this iterable collection.

     returns

       a iterable collection consisting only of the first `n` elements of this iterable collection, or else the whole iterable collection, if it has less than `n` elements.

     Definition Classes
       IterableLike → TraversableLike → GenTraversableLike

140. #### def takeRight(n: Int): collection.Iterable[MetaData]

     Selects last n elements.

     Selects last n elements.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     n

       the number of elements to take

     returns

       a iterable collection consisting only of the last `n` elements of this iterable collection, or else the whole iterable collection, if it has less than `n` elements.

     Definition Classes
       IterableLike

141. #### def takeWhile(p: (MetaData) ⇒ Boolean): collection.Iterable[MetaData]

     Takes longest prefix of elements that satisfy a predicate.

     Takes longest prefix of elements that satisfy a predicate.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     returns

       the longest prefix of this iterable collection whose elements all satisfy the predicate `p`.

     Definition Classes
       IterableLike → TraversableLike → GenTraversableLike

142. #### def thisCollection: collection.Iterable[MetaData]

     The underlying collection seen as an instance of `Iterable`.

     The underlying collection seen as an instance of `Iterable`. By default this is implemented as the current collection object itself, but this can be overridden.

     Attributes
       protected[this]
     Definition Classes
       IterableLike → TraversableLike

143. #### def to[Col[_]]: Col[A]

     [use case] Converts this iterable collection into another by copying all elements.

     [use case]

     Converts this iterable collection into another by copying all elements.

     Note: will not terminate for infinite-sized collections.

     Col

       The collection type to build.

     returns

       a new collection containing all elements of this iterable collection.

     Definition Classes
       TraversableLike → TraversableOnce → GenTraversableOnce
     Full Signature

     #### def to[Col[_]](implicit cbf: CanBuildFrom[Nothing, MetaData, Col[MetaData]]): Col[MetaData]

144. #### def toArray: Array[A]

     [use case] Converts this iterable collection to an array.

     [use case]

     Converts this iterable collection to an array.

     Note: will not terminate for infinite-sized collections.

     returns

       an array containing all elements of this iterable collection. An `ClassTag` must be available for the element type of this iterable collection.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def toArray[B >: MetaData](implicit arg0: ClassTag[B]): Array[B]

145. #### def toBuffer[B >: MetaData]: Buffer[B]

     Converts this iterable collection to a mutable buffer.

     Converts this iterable collection to a mutable buffer.

     Note: will not terminate for infinite-sized collections.

     returns

       a buffer containing all elements of this iterable collection.

     Definition Classes
       TraversableOnce → GenTraversableOnce

146. #### def toCollection(repr: collection.Iterable[MetaData]): collection.Iterable[MetaData]

     A conversion from collections of type `Repr` to `Iterable` objects.

     A conversion from collections of type `Repr` to `Iterable` objects. By default this is implemented as just a cast, but this can be overridden.

     Attributes
       protected[this]
     Definition Classes
       IterableLike → TraversableLike

147. #### def toIndexedSeq: collection.immutable.IndexedSeq[MetaData]

     Converts this iterable collection to an indexed sequence.

     Converts this iterable collection to an indexed sequence.

     Note: will not terminate for infinite-sized collections.

     returns

       an indexed sequence containing all elements of this iterable collection.

     Definition Classes
       TraversableOnce → GenTraversableOnce

148. #### def toIterable: collection.Iterable[MetaData]

     Converts this iterable collection to an iterable collection.

     Converts this iterable collection to an iterable collection. Note that the choice of target `Iterable` is lazy in this default implementation as this `TraversableOnce` may be lazy and unevaluated (i.e. it may be an iterator which is only traversable once).

     Note: will not terminate for infinite-sized collections.

     returns

       an `Iterable` containing all elements of this iterable collection.

     Definition Classes
       IterableLike → TraversableOnce → GenTraversableOnce

149. #### def toIterator: collection.Iterator[MetaData]

     Returns an Iterator over the elements in this iterable collection.

     Returns an Iterator over the elements in this iterable collection. Will return the same Iterator if this instance is already an Iterator.

     Note: will not terminate for infinite-sized collections.

     returns

       an Iterator containing all elements of this iterable collection.

     Definition Classes
       IterableLike → TraversableLike → GenTraversableOnce

150. #### def toList: List[MetaData]

     Converts this iterable collection to a list.

     Converts this iterable collection to a list.

     Note: will not terminate for infinite-sized collections.

     returns

       a list containing all elements of this iterable collection.

     Definition Classes
       TraversableOnce → GenTraversableOnce

151. #### def toMap[T, U]: Map[T, U]

     [use case] Converts this iterable collection to a map.

     [use case]

     Converts this iterable collection to a map. This method is unavailable unless the elements are members of Tuple2, each ((T, U)) becoming a key-value pair in the map. Duplicate keys will be overwritten by later keys: if this is an unordered collection, which key is in the resulting map is undefined.

     Note: will not terminate for infinite-sized collections.

     returns

       a map of type `immutable.Map[T, U]` containing all key/value pairs of type `(T, U)` of this iterable collection.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def toMap[T, U](implicit ev: <:<[MetaData, (T, U)]): Map[T, U]

152. #### def toParArray: ParArray[MetaData]

     Implicit information
       This member is added by an implicit conversion from PrefixedAttribute to TraversableOps[MetaData] performed by method traversable2ops in scala.collection.parallel.
     Definition Classes
       TraversableOps

153. #### def toSeq: collection.Seq[MetaData]

     Converts this iterable collection to a sequence.

     Converts this iterable collection to a sequence. As with `toIterable`, it's lazy in this default implementation, as this `TraversableOnce` may be lazy and unevaluated.

     Note: will not terminate for infinite-sized collections.

     returns

       a sequence containing all elements of this iterable collection.

     Definition Classes
       TraversableOnce → GenTraversableOnce

154. #### def toSet[B >: MetaData]: Set[B]

     Converts this iterable collection to a set.

     Converts this iterable collection to a set.

     Note: will not terminate for infinite-sized collections.

     returns

       a set containing all elements of this iterable collection.

     Definition Classes
       TraversableOnce → GenTraversableOnce

155. #### def toStream: collection.immutable.Stream[MetaData]

     Converts this iterable collection to a stream.

     Converts this iterable collection to a stream.

     Note: will not terminate for infinite-sized collections.

     returns

       a stream containing all elements of this iterable collection.

     Definition Classes
       IterableLike → TraversableLike → GenTraversableOnce

156. #### def toString(): String

     Converts this iterable collection to a string.

     Converts this iterable collection to a string.

     returns

       a string representation of this collection. By default this string consists of the `stringPrefix` of this iterable collection, followed by all elements separated by commas and enclosed in parentheses.

     Definition Classes
       MetaData → TraversableLike → AnyRef → Any

157. #### def toString1(sb: StringBuilder): Unit

     Appends string representation of only this attribute to stringbuffer.

     Appends string representation of only this attribute to stringbuffer.

     Attributes
       protected
     Definition Classes
       Attribute → MetaData

158. #### def toString1(): String

     Attributes
       protected
     Definition Classes
       MetaData

159. #### def toTraversable: collection.Traversable[MetaData]

     Converts this iterable collection to an unspecified Traversable.

     Converts this iterable collection to an unspecified Traversable. Will return the same collection if this instance is already Traversable.

     Note: will not terminate for infinite-sized collections.

     returns

       a Traversable containing all elements of this iterable collection.

     Definition Classes
       TraversableLike → TraversableOnce → GenTraversableOnce

160. #### def toVector: Vector[MetaData]

     Converts this iterable collection to a Vector.

     Converts this iterable collection to a Vector.

     Note: will not terminate for infinite-sized collections.

     returns

       a vector containing all elements of this iterable collection.

     Definition Classes
       TraversableOnce → GenTraversableOnce

161. #### def transpose[B](implicit asTraversable: (MetaData) ⇒ GenTraversableOnce[B]): collection.Iterable[collection.Iterable[B]]

     Transposes this iterable collection of traversable collections into a iterable collection of iterable collections.

     Transposes this iterable collection of traversable collections into a iterable collection of iterable collections.

     B

       the type of the elements of each traversable collection.

     asTraversable

       an implicit conversion which asserts that the element type of this iterable collection is a `Traversable`.

     returns

       a two-dimensional iterable collection of iterable collections which has as nth row the nth column of this iterable collection.

     Definition Classes
       GenericTraversableTemplate
     Annotations
       @migration
     Migration

       (Changed in version 2.9.0) `transpose` throws an `IllegalArgumentException` if collections are not uniformly sized.

     Exceptions thrown
       `IllegalArgumentException`

       if all collections in this iterable collection are not of the same size.

162. #### def unzip[A1, A2](implicit asPair: (MetaData) ⇒ (A1, A2)): (collection.Iterable[A1], collection.Iterable[A2])

     Converts this iterable collection of pairs into two collections of the first and second half of each pair.

     Converts this iterable collection of pairs into two collections of the first and second half of each pair.

     A1

       the type of the first half of the element pairs

     A2

       the type of the second half of the element pairs

     asPair

       an implicit conversion which asserts that the element type of this iterable collection is a pair.

     returns

       a pair iterable collections, containing the first, respectively second half of each element pair of this iterable collection.

     Definition Classes
       GenericTraversableTemplate

163. #### def unzip3[A1, A2, A3](implicit asTriple: (MetaData) ⇒ (A1, A2, A3)): (collection.Iterable[A1], collection.Iterable[A2], collection.Iterable[A3])

     Converts this iterable collection of triples into three collections of the first, second, and third element of each triple.

     Converts this iterable collection of triples into three collections of the first, second, and third element of each triple.

     A1

       the type of the first member of the element triples

     A2

       the type of the second member of the element triples

     A3

       the type of the third member of the element triples

     asTriple

       an implicit conversion which asserts that the element type of this iterable collection is a triple.

     returns

       a triple iterable collections, containing the first, second, respectively third member of each element triple of this iterable collection.

     Definition Classes
       GenericTraversableTemplate

164. #### val value: Seq[Node]

     the attribute value

     the attribute value

     Definition Classes
       PrefixedAttribute → Attribute → MetaData

165. #### def view(from: Int, until: Int): IterableView[MetaData, collection.Iterable[MetaData]]

     Creates a non-strict view of a slice of this iterable collection.

     Creates a non-strict view of a slice of this iterable collection.

     Note: the difference between `view` and `slice` is that `view` produces a view of the current iterable collection, whereas `slice` produces a new iterable collection.

     Note: `view(from, to)` is equivalent to `view.slice(from, to)`

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     from

       the index of the first element of the view

     until

       the index of the element following the view

     returns

       a non-strict view of a slice of this iterable collection, starting at index `from` and extending up to (but not including) index `until`.

     Definition Classes
       IterableLike → TraversableLike

166. #### def view: IterableView[MetaData, collection.Iterable[MetaData]]

     Creates a non-strict view of this iterable collection.

     Creates a non-strict view of this iterable collection.

     returns

       a non-strict view of this iterable collection.

     Definition Classes
       IterableLike → TraversableLike

167. #### final def wait(): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

168. #### final def wait(arg0: Long, arg1: Int): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

169. #### final def wait(arg0: Long): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

170. #### def wellformed(scope: NamespaceBinding): Boolean

     Definition Classes
       Attribute → MetaData

171. #### def withFilter(p: (MetaData) ⇒ Boolean): FilterMonadic[MetaData, collection.Iterable[MetaData]]

     Creates a non-strict filter of this iterable collection.

     Creates a non-strict filter of this iterable collection.

     Note: the difference between `c filter p` and `c withFilter p` is that the former creates a new collection, whereas the latter only restricts the domain of subsequent `map`, `flatMap`, `foreach`, and `withFilter` operations.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     p

       the predicate used to test elements.

     returns

       an object of class `WithFilter`, which supports `map`, `flatMap`, `foreach`, and `withFilter` operations. All these operations apply to those elements of this iterable collection which satisfy the predicate `p`.

     Definition Classes
       TraversableLike → FilterMonadic

172. #### final def xml_!=(other: Any): Boolean

     Definition Classes
       Equality

173. #### final def xml_==(other: Any): Boolean

     Definition Classes
       Equality

174. #### def zip[B](that: GenIterable[B]): collection.Iterable[(A, B)]

     [use case] Returns a iterable collection formed from this iterable collection and another iterable collection by combining corresponding elements in pairs.

     [use case]

     Returns a iterable collection formed from this iterable collection and another iterable collection by combining corresponding elements in pairs. If one of the two collections is longer than the other, its remaining elements are ignored.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     B

       the type of the second half of the returned pairs

     that

       The iterable providing the second half of each result pair

     returns

       a new iterable collection containing pairs consisting of corresponding elements of this iterable collection and `that`. The length of the returned collection is the minimum of the lengths of this iterable collection and `that`.

     Definition Classes
       IterableLike → GenIterableLike
     Full Signature

     #### def zip[A1 >: MetaData, B, That](that: GenIterable[B])(implicit bf: CanBuildFrom[collection.Iterable[MetaData], (A1, B), That]): That

175. #### def zipAll[B](that: collection.Iterable[B], thisElem: A, thatElem: B): collection.Iterable[(A, B)]

     [use case] Returns a iterable collection formed from this iterable collection and another iterable collection by combining corresponding elements in pairs.

     [use case]

     Returns a iterable collection formed from this iterable collection and another iterable collection by combining corresponding elements in pairs. If one of the two collections is shorter than the other, placeholder elements are used to extend the shorter collection to the length of the longer.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     B

       the type of the second half of the returned pairs

     that

       The iterable providing the second half of each result pair

     thisElem

       the element to be used to fill up the result if this iterable collection is shorter than `that`.

     thatElem

       the element to be used to fill up the result if `that` is shorter than this iterable collection.

     returns

       a new iterable collection containing pairs consisting of corresponding elements of this iterable collection and `that`. The length of the returned collection is the maximum of the lengths of this iterable collection and `that`. If this iterable collection is shorter than `that`, `thisElem` values are used to pad the result. If `that` is shorter than this iterable collection, `thatElem` values are used to pad the result.

     Definition Classes
       IterableLike → GenIterableLike
     Full Signature

     #### def zipAll[B, A1 >: MetaData, That](that: GenIterable[B], thisElem: A1, thatElem: B)(implicit bf: CanBuildFrom[collection.Iterable[MetaData], (A1, B), That]): That

176. #### def zipWithIndex: collection.Iterable[(A, Int)]

     [use case] Zips this iterable collection with its indices.

     [use case]

     Zips this iterable collection with its indices.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     returns

       A new iterable collection containing pairs consisting of all elements of this iterable collection paired with their index. Indices start at `0`.

     Definition Classes
       IterableLike → GenIterableLike
     Full Signature

     #### def zipWithIndex[A1 >: MetaData, That](implicit bf: CanBuildFrom[collection.Iterable[MetaData], (A1, Int), That]): That

     Example:

     1. `List("a", "b", "c").zipWithIndex = List(("a", 0), ("b", 1), ("c", 2))`

177. #### def →[B](y: B): (PrefixedAttribute, B)

     Implicit information
       This member is added by an implicit conversion from PrefixedAttribute to ArrowAssoc[PrefixedAttribute] performed by method any2ArrowAssoc in scala.Predef.
     Definition Classes
       ArrowAssoc

### Shadowed Implicit Value Members

1. #### def filter(p: (MetaData) ⇒ Boolean): collection.TraversableOnce[MetaData]

   Implicit information
     This member is added by an implicit conversion from PrefixedAttribute to MonadOps[MetaData] performed by method MonadOps in scala.collection.TraversableOnce.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (prefixedAttribute: MonadOps[MetaData]).filter(p)

   Definition Classes
     MonadOps

2. #### def flatMap[B](f: (MetaData) ⇒ GenTraversableOnce[B]): collection.TraversableOnce[B]

   Implicit information
     This member is added by an implicit conversion from PrefixedAttribute to MonadOps[MetaData] performed by method MonadOps in scala.collection.TraversableOnce.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (prefixedAttribute: MonadOps[MetaData]).flatMap(f)

   Definition Classes
     MonadOps

3. #### def flatten: collection.Iterator[MetaData]

   Implicit information
     This member is added by an implicit conversion from PrefixedAttribute to FlattenOps[MetaData] performed by method flattenTraversableOnce in scala.collection.TraversableOnce.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (prefixedAttribute: FlattenOps[MetaData]).flatten

   Definition Classes
     FlattenOps

4. #### def map[B](f: (MetaData) ⇒ B): collection.TraversableOnce[B]

   Implicit information
     This member is added by an implicit conversion from PrefixedAttribute to MonadOps[MetaData] performed by method MonadOps in scala.collection.TraversableOnce.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (prefixedAttribute: MonadOps[MetaData]).map(f)

   Definition Classes
     MonadOps

5. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from PrefixedAttribute to StringAdd performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (prefixedAttribute: StringAdd).self

   Definition Classes
     StringAdd

6. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from PrefixedAttribute to StringFormat performed by method any2stringfmt in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (prefixedAttribute: StringFormat).self

   Definition Classes
     StringFormat

7. #### def withFilter(p: (MetaData) ⇒ Boolean): collection.Iterator[MetaData]

   Implicit information
     This member is added by an implicit conversion from PrefixedAttribute to MonadOps[MetaData] performed by method MonadOps in scala.collection.TraversableOnce.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (prefixedAttribute: MonadOps[MetaData]).withFilter(p)

   Definition Classes
     MonadOps

### Deprecated Value Members

1. #### def /:\[A1 >: MetaData](z: A1)(op: (A1, A1) ⇒ A1): A1

   A syntactic sugar for out of order folding.

   A syntactic sugar for out of order folding. See `fold`.

   Example:

       scala> val a = LinkedList(1,2,3,4)
       a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

       scala> val b = (a /:\ 5)(_+_)
       b: Int = 15

   Definition Classes
     GenTraversableOnce
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) use fold instead

2. #### def x: PrefixedAttribute

   Implicit information
     This member is added by an implicit conversion from PrefixedAttribute to ArrowAssoc[PrefixedAttribute] performed by method any2ArrowAssoc in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (prefixedAttribute: ArrowAssoc[PrefixedAttribute]).x

   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `leftOfArrow`instead``

3. #### def x: PrefixedAttribute

   Implicit information
     This member is added by an implicit conversion from PrefixedAttribute to Ensuring[PrefixedAttribute] performed by method any2Ensuring in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (prefixedAttribute: Ensuring[PrefixedAttribute]).x

   Definition Classes
     Ensuring
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `resultOfEnsuring`instead``

### Inherited from Attribute

### Inherited from MetaData

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from Equality

### Inherited from AbstractIterable[MetaData]

### Inherited from collection.Iterable[MetaData]

### Inherited from IterableLike[MetaData, collection.Iterable[MetaData]]

### Inherited from Equals

### Inherited from GenIterable[MetaData]

### Inherited from GenIterableLike[MetaData, collection.Iterable[MetaData]]

### Inherited from AbstractTraversable[MetaData]

### Inherited from collection.Traversable[MetaData]

### Inherited from GenTraversable[MetaData]

### Inherited from GenericTraversableTemplate[MetaData, collection.Iterable]

### Inherited from TraversableLike[MetaData, collection.Iterable[MetaData]]

### Inherited from GenTraversableLike[MetaData, collection.Iterable[MetaData]]

### Inherited from Parallelizable[MetaData, ParIterable[MetaData]]

### Inherited from collection.TraversableOnce[MetaData]

### Inherited from GenTraversableOnce[MetaData]

### Inherited from FilterMonadic[MetaData, collection.Iterable[MetaData]]

### Inherited from HasNewBuilder[MetaData, Iterable[scala.xml.MetaData] @scala.annotation.unchecked.uncheckedVariance]

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion traversable2ops from PrefixedAttribute to TraversableOps[MetaData]

### Inherited by implicit conversion MonadOps from PrefixedAttribute to MonadOps[MetaData]

### Inherited by implicit conversion flattenTraversableOnce from PrefixedAttribute to FlattenOps[MetaData]

### Inherited by implicit conversion any2stringadd from PrefixedAttribute to StringAdd

### Inherited by implicit conversion any2stringfmt from PrefixedAttribute to StringFormat

### Inherited by implicit conversion any2ArrowAssoc from PrefixedAttribute to ArrowAssoc[PrefixedAttribute]

### Inherited by implicit conversion any2Ensuring from PrefixedAttribute to Ensuring[PrefixedAttribute]

### Inherited by implicit conversion alternateImplicit from PrefixedAttribute to ForceImplicitAmbiguity

### Ungrouped